org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSClientBundle_$bundle

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQJMSClientBundle_$bundle

- All Implemented Interfaces:
    Serializable, ActiveMQJMSClientBundle

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2020-11-02T18:44:55-0500")
      public class ActiveMQJMSClientBundle_$bundle
      extends Object
      implements ActiveMQJMSClientBundle, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSClientBundle_$bundle` | `INSTANCE`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.client.ActiveMQJMSClientBundle

      `BUNDLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQJMSClientBundle_$bundle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.jms.IllegalStateException` | `callingMethodFromCompletionListener()`
    `protected String` | `callingMethodFromCompletionListener$str()`
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromCompletionListenerRuntime()`
    `protected String` | `callingMethodFromCompletionListenerRuntime$str()`
    `javax.jms.IllegalStateException` | `callingMethodFromListener()`
    `protected String` | `callingMethodFromListener$str()`
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromListenerRuntime()`
    `protected String` | `callingMethodFromListenerRuntime$str()`
    `ActiveMQNonExistentQueueException` | `destinationDoesNotExist(SimpleString destination)`
    `protected String` | `destinationDoesNotExist$str()`
    `protected Locale` | `getLoggingLocale()`
    `javax.jms.JMSException` | `illegalDeliveryMode(int deliveryMode)`
    `protected String` | `illegalDeliveryMode$str()`
    `ActiveMQInvalidFilterExpressionException` | `invalidFilter(Throwable e, SimpleString filter)`
    `protected String` | `invalidFilter$str()`
    `javax.jms.JMSRuntimeException` | `invalidJavaIdentifier(String propertyName)`
    `protected String` | `invalidJavaIdentifier$str()`
    `ActiveMQIllegalStateException` | `invalidSubscriptionName()`
    `protected String` | `invalidSubscriptionName$str()`
    `javax.jms.MessageNotReadableException` | `messageNotReadable()`
    `protected String` | `messageNotReadable$str()`
    `javax.jms.MessageNotWriteableException` | `messageNotWritable()`
    `protected String` | `messageNotWritable$str()`
    `IllegalArgumentException` | `nameCannotBeEmpty()`
    `protected String` | `nameCannotBeEmpty$str()`
    `IllegalArgumentException` | `nameCannotBeNull()`
    `protected String` | `nameCannotBeNull$str()`
    `IllegalArgumentException` | `nullArgumentNotAllowed(String type)`
    `protected String` | `nullArgumentNotAllowed$str()`
    `javax.jms.InvalidDestinationException` | `nullTopic()`
    `protected String` | `nullTopic$str()`
    `javax.jms.IllegalStateException` | `onlyValidForByteOrStreamMessages()`
    `protected String` | `onlyValidForByteOrStreamMessages$str()`
    `protected Object` | `readResolve()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ActiveMQJMSClientBundle_$bundle INSTANCE

  - ### Constructor Detail

    - #### ActiveMQJMSClientBundle_$bundle

          protected ActiveMQJMSClientBundle_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### invalidFilter$str

          protected String invalidFilter$str()

    - #### invalidFilter

          public final ActiveMQInvalidFilterExpressionException invalidFilter(Throwable e,
                                                                              SimpleString filter)

      Specified by:
        `invalidFilter` in interface `ActiveMQJMSClientBundle`

    - #### invalidSubscriptionName$str

          protected String invalidSubscriptionName$str()

    - #### invalidSubscriptionName

          public final ActiveMQIllegalStateException invalidSubscriptionName()

      Specified by:
        `invalidSubscriptionName` in interface `ActiveMQJMSClientBundle`

    - #### destinationDoesNotExist$str

          protected String destinationDoesNotExist$str()

    - #### destinationDoesNotExist

          public final ActiveMQNonExistentQueueException destinationDoesNotExist(SimpleString destination)

      Specified by:
        `destinationDoesNotExist` in interface `ActiveMQJMSClientBundle`

    - #### nameCannotBeNull$str

          protected String nameCannotBeNull$str()

    - #### nameCannotBeNull

          public final IllegalArgumentException nameCannotBeNull()

      Specified by:
        `nameCannotBeNull` in interface `ActiveMQJMSClientBundle`

    - #### nameCannotBeEmpty$str

          protected String nameCannotBeEmpty$str()

    - #### nameCannotBeEmpty

          public final IllegalArgumentException nameCannotBeEmpty()

      Specified by:
        `nameCannotBeEmpty` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromListenerRuntime$str

          protected String callingMethodFromListenerRuntime$str()

    - #### callingMethodFromListenerRuntime

          public final javax.jms.IllegalStateRuntimeException callingMethodFromListenerRuntime()

      Specified by:
        `callingMethodFromListenerRuntime` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromListener$str

          protected String callingMethodFromListener$str()

    - #### callingMethodFromListener

          public final javax.jms.IllegalStateException callingMethodFromListener()

      Specified by:
        `callingMethodFromListener` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromCompletionListenerRuntime$str

          protected String callingMethodFromCompletionListenerRuntime$str()

    - #### callingMethodFromCompletionListenerRuntime

          public final javax.jms.IllegalStateRuntimeException callingMethodFromCompletionListenerRuntime()

      Specified by:
        `callingMethodFromCompletionListenerRuntime` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromCompletionListener$str

          protected String callingMethodFromCompletionListener$str()

    - #### callingMethodFromCompletionListener

          public final javax.jms.IllegalStateException callingMethodFromCompletionListener()

      Specified by:
        `callingMethodFromCompletionListener` in interface `ActiveMQJMSClientBundle`

    - #### nullArgumentNotAllowed$str

          protected String nullArgumentNotAllowed$str()

    - #### nullArgumentNotAllowed

          public final IllegalArgumentException nullArgumentNotAllowed(String type)

      Specified by:
        `nullArgumentNotAllowed` in interface `ActiveMQJMSClientBundle`

    - #### nullTopic$str

          protected String nullTopic$str()

    - #### nullTopic

          public final javax.jms.InvalidDestinationException nullTopic()

      Specified by:
        `nullTopic` in interface `ActiveMQJMSClientBundle`

    - #### onlyValidForByteOrStreamMessages$str

          protected String onlyValidForByteOrStreamMessages$str()

    - #### onlyValidForByteOrStreamMessages

          public final javax.jms.IllegalStateException onlyValidForByteOrStreamMessages()

      Specified by:
        `onlyValidForByteOrStreamMessages` in interface `ActiveMQJMSClientBundle`

    - #### invalidJavaIdentifier$str

          protected String invalidJavaIdentifier$str()

    - #### invalidJavaIdentifier

          public final javax.jms.JMSRuntimeException invalidJavaIdentifier(String propertyName)

      Specified by:
        `invalidJavaIdentifier` in interface `ActiveMQJMSClientBundle`

    - #### messageNotWritable$str

          protected String messageNotWritable$str()

    - #### messageNotWritable

          public final javax.jms.MessageNotWriteableException messageNotWritable()

      Specified by:
        `messageNotWritable` in interface `ActiveMQJMSClientBundle`

    - #### messageNotReadable$str

          protected String messageNotReadable$str()

    - #### messageNotReadable

          public final javax.jms.MessageNotReadableException messageNotReadable()

      Specified by:
        `messageNotReadable` in interface `ActiveMQJMSClientBundle`

    - #### illegalDeliveryMode$str

          protected String illegalDeliveryMode$str()

    - #### illegalDeliveryMode

          public final javax.jms.JMSException illegalDeliveryMode(int deliveryMode)

      Specified by:
        `illegalDeliveryMode` in interface `ActiveMQJMSClientBundle`

Copyright © 2020 The Apache Software Foundation. All rights reserved.